Bug 200045 - Error: libc.so.6(GLIBC_2.2.5)(64bit) is needed by .........
Error: libc.so.6(GLIBC_2.2.5)(64bit) is needed by .........
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: glibc (Show other bugs)
3.0
All Linux
medium Severity high
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-24 23:04 EDT by Vipin
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-25 19:27:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vipin 2006-07-24 23:04:08 EDT
# cat /proc/cpuinfo
processor : 0
cpu : POWER5 (gs)
clock : 1498.500000MHz
revision : 2.0

processor : 1
cpu : POWER5 (gs)
clock : 1498.500000MHz
revision : 2.0

processor : 2
cpu : POWER5 (gs)
clock : 1498.500000MHz
revision : 2.0

processor : 3
cpu : POWER5 (gs)
clock : 1498.500000MHz
revision : 2.0

timebase : 187203000
machine : CHRP IBM,9133-55A



# cat /proc/version
Linux version 2.6.9-34.EL (bhcompile@js20-bc1-8.build.redhat.com) (gcc version 
3.4.5 20051201 (Red Hat 3.4.5-2)) #1 SMP Fri Feb 24 16:46:57 EST 2006

#ldconfig
# uname -a
Linux hostname 2.6.9-34.EL #1 SMP Fri Feb 24 16:46:57 EST 2006 ppc64 ppc64 
ppc64 GNU/Linux





# rpm -q glibc -i
Name : glibc Relocations: (not relocatable)
Version : 2.3.4 Vendor: Red Hat, Inc.
Release : 2.19 Build Date: Wed 08 Feb 2006 05:36:58 PM CST
Install Date: Wed 12 Apr 2006 05:19:39 PM CDT Build Host: 
sizzler.build.redhat.com
Group : System Environment/Libraries Source RPM: glibc-2.3.4-2.19.src.rpm
Size : 11256266 License: LGPL
Signature : DSA/SHA1, Thu 16 Feb 2006 03:57:11 PM CST, Key ID 219180cddb42a60e
Packager : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
Summary : The GNU libc libraries.
Description :
The glibc package contains standard libraries which are used by
multiple programs on the system. In order to save disk space and
memory, as well as to make upgrading easier, common system code is
kept in one place and shared between programs. This particular package
contains the most important sets of shared libraries: the standard C
library and the standard math library. Without these two libraries, a
Linux system will not function.
Name : glibc Relocations: (not relocatable)
Version : 2.3.4 Vendor: Red Hat, Inc.
Release : 2.19 Build Date: Wed 08 Feb 2006 05:42:05 PM CST
Install Date: Wed 12 Apr 2006 05:19:44 PM CDT Build Host: 
sizzler.build.redhat.com
Group : System Environment/Libraries Source RPM: glibc-2.3.4-2.19.src.rpm
Size : 12372154 License: LGPL
Signature : DSA/SHA1, Thu 16 Feb 2006 03:57:12 PM CST, Key ID 219180cddb42a60e
Packager : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
Summary : The GNU libc libraries.
Description :
The glibc package contains standard libraries which are used by
multiple programs on the system. In order to save disk space and
memory, as well as to make upgrading easier, common system code is
kept in one place and shared between programs. This particular package
contains the most important sets of shared libraries: the standard C
library and the standard math library. Without these two libraries, a
Linux system will not function.







My problem is when i trying to install any softwares , this error comes:
libc.so.6(GLIBC_2.2.5)(64bit) is needed by ......... 

# rpm -ivh /OS_BACKUP/rhl_cd2/RedHat/RPMS/vim-minimal-6.3.046-
0.40E.7.x86_64.rpm
warning: /OS_BACKUP/rhl_cd2/RedHat/RPMS/vim-minimal-6.3.046-
0.40E.7.x86_64.rpm: V3 DSA signature: NOKEY, key ID db42a60e
error: Failed dependencies:
libc.so.6(GLIBC_2.2.5)(64bit) is needed by vim-minimal-6.3.046-0.40E.7.x86_64


Please suggest me from where i can download the dependencies to install this 
software?
Comment 1 Ulrich Drepper 2006-07-25 19:27:14 EDT
Why on earth would x86-64 packages be installable on ppc64 systems?

Note You need to log in before you can comment on or make changes to this bug.